Authentication
Base URL
Remember that all your endpoint calls should start with:
https://thirdparty.playtomic.io
POST /api/v1/oauth/token
Creates an authentication token. This is the only call that does not require the Authorization header.
Token Policy
Keep in mind that our token expiration policy makes them expire after 1 hour.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
client_id |
String | Yes | Unique identifier of your credentials (sent via email). |
secret |
String | Yes | Your password (sent via email). |
Response (200)
| Field | Type | Description |
|---|---|---|
token |
String | The Bearer token for future requests. Expires in 1 hour. |
token_type |
String | Always returns BEARER. |
expires_in |
Int | Number of seconds until expiration (3600). |
Security
You should NEVER share this token outside of your organization.
Errors
| Status Code | Error | Description |
|---|---|---|
| 400 | MISSING_PARAMETERS |
Missing some of the parameters in the request. |
| 401 | UNAUTHORIZED |
Wrong credentials. |